SDL_SurfaceFlags(3type)

NAME
SDL_SurfaceFlags - The flags on an SDL_Surface.

SYNOPSIS
#include <SDL3/SDL_surface.h>

typedef Uint32 SDL_SurfaceFlags;

#define SDL_SURFACE_PREALLOCATED    0x00000001u /**< Surface uses preallocated pixel memory */
#define SDL_SURFACE_LOCK_NEEDED     0x00000002u /**< Surface needs to be locked to access pixels */
#define SDL_SURFACE_LOCKED          0x00000004u /**< Surface is currently locked */
#define SDL_SURFACE_SIMD_ALIGNED    0x00000008u /**< Surface uses pixel memory allocated with SDL_aligned_alloc() */

DESCRIPTION
These are generally considered read-only.

AVAILABILITY
This datatype is available since SDL 3.2.0.